/* $Id: gel_def.h,v 1.1 2004/07/30 07:58:40 berar Exp $ */
/*  gel_def.h image plates  */
/* jfberar                               */
/*-----------------------------------------------------------*/
#define GEL_TITLE "gel image plates"
#include "xy_def.h"
/*-----------------------------------------------------------*/
/*-----------------------------------------------------------*/
/*  open the file, get the header and seek to its end        */
XY_HDR  *gel_fopen (FILE *f, int quick, char * buffer); 
INT16U  *gel_getdark(XY_HDR *h, IMAGE *img, int first, int last, float z_cosmic, float t_cosmic);
int      gel_getraw (XY_HDR *h, IMAGE *img, INT16U *val, int pos);
int      gel_getimg (XY_HDR *h, IMAGE *img, int pos);
/*-----------------------------------------------------------*/
void     gel_write  (IMAGE *img, char * suf, int dyn);
/*-----------------------------------------------------------*/

#ifdef DEF_XY_GEL
#ifdef XY_DEFINED
#error "XY_MACROS can only be defined once"
#endif

#define XY_DEFINED
#define XY_FOPEN     gel_fopen
#define XY_GETDARK   gel_getdark
#define XY_GETRAW    gel_getraw
#define XY_GETIMG    gel_getimg
#define XY_TITLE     GEL_TITLE
#endif

